Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 912 - Emacs Control-V redefinition
Summary: Emacs Control-V redefinition
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-21 19:50 UTC by Robert Thomas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 20:28:09 UTC


Attachments (Terms of Use)

Description Robert Thomas 1999-01-21 19:50:11 UTC
I noticed on 5.2 that somehow the control-v key has been
redefined from page up (i.e. move the cursor down a page) to
paste.  This is driving me up a wall because I cannot seem
to find where this was (re)defined.  Downloading emacs from
prep.ai.mit.edu and recompiling yeilded the same result.  I
am not sure if someone from MIT did this or someone from
Redhat did this and placed it in a system config (lisp)
file.

-Robert

Comment 1 David Lawrence 1999-01-22 21:29:59 UTC
I was unable to observe this behaviour using emacs in console mode.
Are you running emacs from within X and if so, what window manager are
you using?

Comment 2 Robert Thomas 1999-01-24 02:32:59 UTC
It never occured to me to check the window manager.  I am using after
step.  I did a telnet from another machine and it was defined as I
expected.  I am not sure how to look into the definition files for
after step.  I will find it though - could it be that someone wanted
to make it more MicroStuff compatible (i.e. Control-v is a paste a
friend of mine told me who uses win-95... not admitting that I
actually use Windows mind you... understand..?).

I'll have to rip it out if it is there though.

-Robert


Note You need to log in before you can comment on or make changes to this bug.